> For the complete documentation index, see [llms.txt](https://qosic.gitbook.io/qospay-eng/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://qosic.gitbook.io/qospay-eng/api-documentation/payment.md).

# Payment

The RequestPayment is a request to debit mobile money from subscribers account. Partners must code the App based on the API field requirements so that the App can send correct requests accordingly.

### BENIN

\
Endpoint URI:

`Mtn`

```url
POST {baseUrl}/QosicBridge/user/requestpayment
```

`Moov`

```
POST {baseUrl}/QosicBridge/user/requestpaymentmv
```

Celtiis

```
POST {baseUrl}/QosicBridge/sb/v1/requestpayment
```

***

### TOGO

`Togocel`

```
POST {baseUrl}/QosicBridge/user/requestpayment
```

`Moov Togo`

```
POST {baseUrl}/QosicBridge/tg/v1/requestpayment
```

***

## <mark style="color:blue;">Body request and  response format</mark>&#x20;

{% tabs %}
{% tab title="Request" %}

```json
Content-Type: application/json[Basic Authentication headers]

{     	
     "msisdn": "22967370249",
     "amount": "100",
     "firstname":"Fabro",
     "lastname":"Bi",
     "transref" :"12340890000",
     "clientid": "*****" 
}
```

{% endtab %}

{% tab title="Response format" %}

```json
{
    "responsecode": number,
    "responsemsg": string,
    "transref": number | string,
    "serviceref": null, (this line is not include in Togo response format)
    "comment": string | null
}
```

{% endtab %}

{% tab title="Success response format" %}

```json
{
    "responsecode": "01",
    "responsemsg": "Succesfull",
    "transref": "12340890r000",
    "serviceref": "7427291567",
    "comment": null
}
```

{% endtab %}

{% tab title="Error response format" %}

```json
{
  
    "title": "Internal Server Error",
    "status": 500,
    "detail": "message"
}
```

{% endtab %}
{% endtabs %}

<pre><code><strong>
</strong></code></pre>

<table data-full-width="false"><thead><tr><th width="133">Element</th><th width="226">Type</th><th>Decription</th></tr></thead><tbody><tr><td>msisdn</td><td><mark style="color:orange;"><code>string:MANDATORY</code></mark></td><td>Subscriber’s account i.e. 229 67******</td></tr><tr><td>amount</td><td><mark style="color:orange;"><code>string:MANDATORY</code></mark></td><td>Transaction amount i.e. 100</td></tr><tr><td>firstname</td><td><mark style="color:orange;"><code>string:OPTIONAL</code></mark></td><td>Firstname of the subscribe</td></tr><tr><td>lastname</td><td><mark style="color:orange;"><code>string:OPTIONAL</code></mark></td><td>Lastname of the subscriber</td></tr><tr><td>transref</td><td><mark style="color:orange;"><code>string:MANDATORY</code></mark></td><td>Unique transaction reference. To be used as unique identifier in call to request for a payment.</td></tr><tr><td>clientid</td><td><mark style="color:orange;"><code>string:MANDATORY</code></mark></td><td>A unique generated id for each third-party application. This id is generated by Qos and should be included in all payment requests.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://qosic.gitbook.io/qospay-eng/api-documentation/payment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
